Authentication

Send OTP code

AuthPublic
GroupAuthentication
Rate limitSee Rate Limits
POST/api/auth/otp/send

SDK setup

Create a client instance. No authentication is required for this endpoint.

import { Configuration, AuthenticationApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
});

const authentication = new AuthenticationApi(configuration);
import { Configuration, AuthenticationApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
});

const authentication = new AuthenticationApi(configuration);

Example request

Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.

const { data: result } = await authentication.sendOTP(
  {
    phone: "670.908.9060",
    email: "gilberto_becker@northwind.dev",
    projectId: "proj_uIqDwj6jYLTj",
    method: "application override"
  }
);
const { data: result } = await authentication.sendOTP(
  {
    phone: "670.908.9060",
    email: "gilberto_becker@northwind.dev",
    projectId: "proj_uIqDwj6jYLTj",
    method: "application override"
  }
);

Playground

live

Test this endpoint with your own credentials. Your requests will be sent to the live API.

No Request Yet

Send a request to see the full inspector

Authentication

Public — No Auth Required

Request Body

json
{
  "phone": "1-633-595-3807 x7079",
  "email": "amari_koss69@northwind.dev",
  "projectId": "proj_qh5hFHNT70YZ",
  "method": "sms"
}
{
  "phone": "1-633-595-3807 x7079",
  "email": "amari_koss69@northwind.dev",
  "projectId": "proj_qh5hFHNT70YZ",
  "method": "sms"
}

Responses

200OTP sent
json
{
  "message": "OTP code sent successfully"
}
{
  "message": "OTP code sent successfully"
}
Edit this page on GitHub